Package Details: scid_vs_pc 4.20-3

Git Clone URL: https://aur.archlinux.org/scid_vs_pc.git (read-only)
Package Base: scid_vs_pc
Description: Shane's Chess Information Database
Upstream URL: http://scidvspc.sourceforge.net/
Keywords: chess database games
Licenses: GPL2
Conflicts: scid
Submitter: archtux
Maintainer: Morn (bulletmark, zyli, fanisg, andmars)
Last Packager: bulletmark
Votes: 27
Popularity: 0.007941
First Submitted: 2010-12-11 20:45
Last Updated: 2019-04-28 10:13

Dependencies (4)

Required by (5)

Sources (5)

Latest Comments

1 2 3 4 5 Next › Last »

bulletmark commented on 2019-04-28 10:15

Yes, we have to put up with this crazy practice where the upstream developers release new changes in the same version file(!). I have updated the md5sum.

infinigon commented on 2019-04-28 08:29

Looks like the source tarball on sourceforge might have changed in-place :( The md5sum no longer matches.

andmars commented on 2019-03-27 11:20

By making 'snack' and 'tdom' optional I think we need to add 'tk' to dependencies. 'tk' was installed by 'snack' before and is necessary for 'scid_vs_pc'. See 'scid' for reference: https://aur.archlinux.org/packages/scid/

andmars commented on 2019-03-27 10:39

@bulletmark, the package is indeed out-of-date - 4.20 is out: https://sourceforge.net/projects/scidvspc/files/source/

bulletmark commented on 2019-03-27 07:56

@andmars, please don't flag out of date unless it is out of date. I have made snack and tdom optional because snack provides sound but I find that it is very buggy and I see the scid_vs_pc sources mention this in many places and at http://scidvspc.sourceforge.net/doc/Sound.htm. tdom is required only for Xfcc support which is only used by some correspondence chess servers.

andmars commented on 2019-03-27 06:11

Can you make dependencies like "snack" optional? All that scid really needs is the "tk" package (and "python" and "desktop-file-utils" which most users have installed anyways. That way it doesn't pull so much stuff in :-)

Morn commented on 2018-09-09 10:04

@bruno: Yes, it works fine.

bruno.unna commented on 2018-09-09 09:45

Package tdom-git doesn't even exist. Does someone here know if it works with tdom?

Morn commented on 2017-09-04 14:06

@infinigon: You are right, that looks wrong. This is an old PKGBUILD, so who knows why it was that way. Probably cut-and-paste gone wrong...

Unfortunately it seems that merely upgrading the package does not change the existing file system permission to 755, you have to uninstall and reinstall.

infinigon commented on 2017-09-04 13:08

Any reason why directory /usr/share/fonts/truetype/Scid is installed with 644 permissions, not 755? That makes it so that users can't access the font files...